package com.ruoyi.system.service;


import com.ruoyi.common.config.datasource.utils.AjaxResult;
import com.ruoyi.system.entity.DataSource;
import com.ruoyi.system.entity.TableInfo;
import  com.ruoyi.system.entity.vo.TableInfoVO;

import java.util.List;
import java.util.Map;

public interface IDataSourceService {

    /**
     * 切换数据源
     */
    void changeDataSource(DataSource dataSource) throws Exception;


    // 得到当前库中的所有表信息
    AjaxResult tableInfoList(Map<String,Object> map);


    // 得到当前表中的字段信息
    List<TableInfo> tableFieldInfo(Map<String, Object> map);

}